Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(184)

Issue 10543007: Add CORS-awareness to HTML5 media elements. (Closed)

Created:
8 years, 7 months ago by Ami GONE FROM CHROMIUM
Modified:
8 years, 7 months ago
CC:
chromium-reviews, feature-media-reviews_chromium.org, darin-cc_chromium.org
Visibility:
Public.

Description

Add CORS-awareness to HTML5 media elements. This CL is dead code until WebMediaPlayerClientImpl starts calling the new 2-arg load() method, but this needs to land (and roll into WebKit DEPS) before WMPCI can be updated to call this 2-arg load(). BUG=123369 Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=140779

Patch Set 1 #

Patch Set 2 : . #

Total comments: 5

Patch Set 3 : . #

Total comments: 1

Patch Set 4 : . #

Total comments: 2

Patch Set 5 : . #

Patch Set 6 : . #

Patch Set 7 : . #

Unified diffs Side-by-side diffs Delta from patch set Stats (+76 lines, -20 lines) Patch
M webkit/media/android/webmediaplayer_android.h View 1 2 1 chunk +4 lines, -1 line 0 comments Download
M webkit/media/android/webmediaplayer_android.cc View 1 2 3 4 5 1 chunk +7 lines, -0 lines 0 comments Download
M webkit/media/buffered_data_source.h View 1 2 2 chunks +8 lines, -4 lines 0 comments Download
M webkit/media/buffered_data_source.cc View 1 2 2 chunks +3 lines, -0 lines 0 comments Download
M webkit/media/buffered_data_source_unittest.cc View 1 2 3 4 5 6 1 chunk +1 line, -0 lines 0 comments Download
M webkit/media/buffered_resource_loader.h View 1 2 3 chunks +14 lines, -7 lines 0 comments Download
M webkit/media/buffered_resource_loader.cc View 1 2 4 chunks +15 lines, -4 lines 0 comments Download
M webkit/media/buffered_resource_loader_unittest.cc View 1 2 3 4 5 6 1 chunk +2 lines, -1 line 0 comments Download
M webkit/media/webmediaplayer_impl.h View 1 2 1 chunk +3 lines, -0 lines 0 comments Download
M webkit/media/webmediaplayer_impl.cc View 1 2 3 4 5 4 chunks +19 lines, -3 lines 0 comments Download

Messages

Total messages: 14 (0 generated)
Ami GONE FROM CHROMIUM
8 years, 7 months ago (2012-06-06 00:26:53 UTC) #1
scherkus (not reviewing)
wooooooot https://chromiumcodereview.appspot.com/10543007/diff/2001/webkit/media/android/webmediaplayer_android.h File webkit/media/android/webmediaplayer_android.h (right): https://chromiumcodereview.appspot.com/10543007/diff/2001/webkit/media/android/webmediaplayer_android.h#newcode59 webkit/media/android/webmediaplayer_android.h:59: const WebKit::WebString& cross_origin_attr); CrossOriginAttribute cross_origin_attribute instead? https://chromiumcodereview.appspot.com/10543007/diff/2001/webkit/media/buffered_resource_loader.h File ...
8 years, 7 months ago (2012-06-06 00:44:36 UTC) #2
Ami GONE FROM CHROMIUM
Not sure how I managed to screw up PS#2's upload; it should have contained the ...
8 years, 7 months ago (2012-06-06 00:59:28 UTC) #3
scherkus (not reviewing)
LGTM but I think we should ignore cors_mode on non-regular-WMPIs https://chromiumcodereview.appspot.com/10543007/diff/11001/webkit/media/webmediaplayer_impl.cc File webkit/media/webmediaplayer_impl.cc (right): https://chromiumcodereview.appspot.com/10543007/diff/11001/webkit/media/webmediaplayer_impl.cc#newcode228 ...
8 years, 7 months ago (2012-06-06 01:19:58 UTC) #4
Ami GONE FROM CHROMIUM
https://chromiumcodereview.appspot.com/10543007/diff/11001/webkit/media/webmediaplayer_impl.cc File webkit/media/webmediaplayer_impl.cc (right): https://chromiumcodereview.appspot.com/10543007/diff/11001/webkit/media/webmediaplayer_impl.cc#newcode228 webkit/media/webmediaplayer_impl.cc:228: if (cors_mode == Unspecified && On 2012/06/06 01:19:58, scherkus ...
8 years, 7 months ago (2012-06-06 01:28:40 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/fischman@chromium.org/10543007/14001
8 years, 7 months ago (2012-06-06 01:29:02 UTC) #6
commit-bot: I haz the power
Try job failure for 10543007-14001 (retry) on mac_rel for step "compile" (clobber build). It's a ...
8 years, 7 months ago (2012-06-06 01:39:43 UTC) #7
Ami GONE FROM CHROMIUM
Grrr... Need to land the new enum in WebKit first: http://webk.it/88388
8 years, 7 months ago (2012-06-06 02:25:31 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/fischman@chromium.org/10543007/4006
8 years, 7 months ago (2012-06-06 14:49:39 UTC) #9
commit-bot: I haz the power
Try job failure for 10543007-4006 (retry) on mac_rel for step "compile" (clobber build). It's a ...
8 years, 7 months ago (2012-06-06 15:12:02 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/fischman@chromium.org/10543007/13003
8 years, 7 months ago (2012-06-06 15:17:41 UTC) #11
commit-bot: I haz the power
Change committed as 140779
8 years, 7 months ago (2012-06-06 17:01:32 UTC) #12
rniwa-cr
This patch broke http/tests/media/video-cookie.html: http://test-results.appspot.com/dashboards/flakiness_dashboard.html#tests=http%2Ftests%2Fmedia%2Fvideo-cookie.html http://build.chromium.org/f/chromium/perf/dashboard/ui/changelog.html?url=%2Ftrunk%2Fsrc&range=140780%3A140778&mode=html
8 years, 7 months ago (2012-06-07 03:34:53 UTC) #13
rniwa-cr
8 years, 7 months ago (2012-06-07 03:39:14 UTC) #14

Powered by Google App Engine
This is Rietveld 408576698